Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.reports
Class FilesRevisionCountComparator

    java.lang.Object
      net.sf.statcvs.reports.FilesRevisionCountComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator

    public class FilesRevisionCountComparator

extends java.lang.Object
implements java.util.Comparator, java.io.Serializable

Compares two files according to their number of changes (revisions). If two files have the same number of changes, the number of changed lines of code is used.

Version:
  $Id: FilesRevisionCountComparator.java,v 1.6 2009/08/20 17:44:05 benoitx Exp $
Author:
  Richard Cyganiak
See Also:
  Serialized Form

Constructor Summary
`FilesRevisionCountComparator()`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### FilesRevisionCountComparator

    public FilesRevisionCountComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`
  See Also:
    `Comparator.compare(java.lang.Object, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD